InvoicesCredit notes

List credit notes against an invoice

GET
/v1/invoices/{id}/credit-notes

Newest first, at most 200.

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from the Developers page. rhq_test_ keys reach the sandbox, rhq_live_ keys the live side.

Path Parameters

id*string

Response Body

Success

application/json
  1. response

Success

data*array<>
curl -X GET "https://example.com/v1/invoices/inv_01K6XJ4Q8ZT3M9R5V2B7WDHNCA/credit-notes"
{  "data": [    {      "id": "crn_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",      "number": "CN-0001",      "invoiceId": "inv_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",      "invoiceNumber": "INV-0001",      "customerId": "cus_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",      "currency": "USD",      "lines": [        {          "saleId": "sal_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",          "description": "northwind-telecom.com, 2 years",          "quantity": 2,          "unitPrice": 1439,          "total": 1439        }      ],      "subtotal": 2878,      "taxBps": 2000,      "tax": 576,      "total": 3454,      "reason": "Customer cancelled a seat",      "issuedAt": "2026-10-07T11:04:31.000Z",      "shared": true,      "issuer": {        "name": "Northwind Telecom",        "legalName": null,        "addressLines": [],        "taxId": null,        "billingEmail": null      }    }  ]}